# Module `DESTROYRADARSTASK`

Task class to destroy radar installations.

## Global(s)

DESTROYRADARSTASK |

## Type `DESTROYRADARSTASK`

DESTROYRADARSTASK.ClassName |
DESTROYRADARSTASK.GoalVerb |
DESTROYRADARSTASK.New(table, self, DestroyGroupNames) | Creates a new DESTROYRADARSTASK.
DESTROYRADARSTASK.ReportGoalProgress(Group, Unit, self, DestroyGroup, DestroyUnit) | Report Goal Progress.

## Global(s)

#DESTROYRADARSTASK DESTROYRADARSTASK

## Type `DESTROYRADARSTASK`

### Field(s)

#string DESTROYRADARSTASK.ClassName

#string DESTROYRADARSTASK.GoalVerb

DESTROYRADARSTASK.New(table, self, DestroyGroupNames)

  Creates a new DESTROYRADARSTASK.

  ### Parameters

  - `table` : string,...} DestroyGroupNames Table of string containing the group names of which the radars are be destroyed.

  - `self` :

  - `DestroyGroupNames` :

  ### Return value

  DESTROYRADARSTASK

DESTROYRADARSTASK.ReportGoalProgress(Group, Unit, self, DestroyGroup, DestroyUnit)

  Report Goal Progress.

  ### Parameters

  - `Group` : DestroyGroup Group structure describing the group to be evaluated.

  - `Unit` : DestroyUnit Unit structure describing the Unit to be evaluated.

  - `self` :

  - `DestroyGroup` :

  - `DestroyUnit` :